Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class UpdateJobRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.importexport.model.UpdateJobRequest

    public class UpdateJobRequest

extends AmazonWebServiceRequest

Container for the parameters to the `UpdateJob operation`.

You use this operation to change the parameters specified in the original manifest file by supplying a new manifest file. The manifest file attached to this request replaces the original manifest file. You can only use the operation after a CreateJob request but before the data transfer starts and you can only use it on jobs you own.

See Also:
  `AmazonImportExport.updateJob(UpdateJobRequest)`

Constructor Summary
`UpdateJobRequest()`

Method Summary
`String` | `getJobId()` A unique identifier which refers to a particular job.
`String` | `getJobType()` Specifies whether the job to initiate is an import or export job.
`String` | `getManifest()` The UTF-8 encoded text of the manifest file.
`Boolean` | `getValidateOnly()` Validate the manifest and parameter values in the request but do not actually create a job.
`Boolean` | `isValidateOnly()` Validate the manifest and parameter values in the request but do not actually create a job.
`void` | `setJobId(String jobId)` A unique identifier which refers to a particular job.
`void` | `setJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`void` | `setManifest(String manifest)` The UTF-8 encoded text of the manifest file.
`void` | `setValidateOnly(Boolean validateOnly)` Validate the manifest and parameter values in the request but do not actually create a job.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateJobRequest` | `withJobId(String jobId)` A unique identifier which refers to a particular job.
`UpdateJobRequest` | `withJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`UpdateJobRequest` | `withManifest(String manifest)` The UTF-8 encoded text of the manifest file.
`UpdateJobRequest` | `withValidateOnly(Boolean validateOnly)` Validate the manifest and parameter values in the request but do not actually create a job.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateJobRequest

    public UpdateJobRequest()

Method Detail

### getJobId

    public String getJobId()

  A unique identifier which refers to a particular job.

  Returns:
    A unique identifier which refers to a particular job.

### setJobId

    public void setJobId(String jobId)

  A unique identifier which refers to a particular job.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.

### withJobId

    public UpdateJobRequest withJobId(String jobId)

  A unique identifier which refers to a particular job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getManifest

    public String getManifest()

  The UTF-8 encoded text of the manifest file.

  Returns:
    The UTF-8 encoded text of the manifest file.

### setManifest

    public void setManifest(String manifest)

  The UTF-8 encoded text of the manifest file.

  Parameters:
    `manifest` - The UTF-8 encoded text of the manifest file.

### withManifest

    public UpdateJobRequest withManifest(String manifest)

  The UTF-8 encoded text of the manifest file.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `manifest` - The UTF-8 encoded text of the manifest file.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getJobType

    public String getJobType()

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Returns:
    Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### setJobType

    public void setJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### withJobType

    public UpdateJobRequest withJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `JobType`

### isValidateOnly

    public Boolean isValidateOnly()

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns:
    Validate the manifest and parameter values in the request but do not actually create a job.

### setValidateOnly

    public void setValidateOnly(Boolean validateOnly)

  Validate the manifest and parameter values in the request but do not actually create a job.

  Parameters:
    `validateOnly` - Validate the manifest and parameter values in the request but do not actually create a job.

### withValidateOnly

    public UpdateJobRequest withValidateOnly(Boolean validateOnly)

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `validateOnly` - Validate the manifest and parameter values in the request but do not actually create a job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValidateOnly

    public Boolean getValidateOnly()

  Validate the manifest and parameter values in the request but do not actually create a job.

  Returns:
    Validate the manifest and parameter values in the request but do not actually create a job.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.